LOSGraphicLoader (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.graphicLoader
Class LOSGraphicLoader

    java.lang.Object
      com.bbn.openmap.MapHandlerChild
          com.bbn.openmap.OMComponent
              com.bbn.openmap.graphicLoader.AbstractGraphicLoader
                  com.bbn.openmap.graphicLoader.MMLGraphicLoader
                      com.bbn.openmap.graphicLoader.LOSGraphicLoader

All Implemented Interfaces:
  MapMouseListener, GraphicLoader, LightMapHandlerChild, PropertyConsumer, DrawingToolRequestor, java.awt.event.ActionListener, java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.util.EventListener

    public class LOSGraphicLoader

extends MMLGraphicLoader
implements java.awt.event.ActionListener, DrawingToolRequestor

A managing object of GLPoints and PathGLPoints. Has a timer to move them around and uses the DTED data to figure out which GLPoints can see each other.

Field Summary
`static java.lang.String` | `AddNodeCmd`
`static java.lang.String` | `AddPathCmd`
`protected DTEDFrameCache` | `dfc`
`protected OMDrawingTool` | `dt`
`static java.util.logging.Logger` | `logger`
`protected LOSGenerator` | `los`
`static int` | `pointCount`

Fields inherited from class com.bbn.openmap.graphicLoader.AbstractGraphicLoader
`DO_NOT_UPDATE_TIMER, name, NameProperty, proj, receiver, timer, TimerCmd, updateInterval`

Fields inherited from class com.bbn.openmap.OMComponent
`i18n, propertyPrefix`

Fields inherited from class com.bbn.openmap.MapHandlerChild
`beanContextChildSupport, isolated`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`LOSGraphicLoader()`
`LOSGraphicLoader(DTEDFrameCache dfc, OMGraphicHandler receiver)`
`LOSGraphicLoader(OMGraphicHandler receiver)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent ae)` Method gets called by the timer if it's running.
`void` | `drawingComplete(OMGraphic omg, OMAction action)` The method where a graphic, and an action to take on the graphic, arrives.
`void` | `findAndInit(java.lang.Object obj)` MapHandlerChild methods modified to look for the DTEDFrameCache and OMDrawingTool.
`void` | `findAndUndo(java.lang.Object obj)` MapHandlerChild methods modified to look for the DTEDFrameCache and OMDrawingTool.
`OMDrawingTool` | `getDrawingTool()`
`DTEDFrameCache` | `getDTEDFrameCache()`
`java.awt.Component` | `getGUI()` Provide a GUI for controlling the GraphicLoader.
`boolean` | `isLOS(GLPoint pt1, GLPoint pt2, OMGraphicList list)`
`void` | `manageGraphics()` The method where the AbstractGraphicLoader is expected to tell the receiver what the OMGraphics are.
`void` | `setDrawingTool(OMDrawingTool drawingTool)`
`void` | `setDTEDFrameCache(DTEDFrameCache cache)`

Methods inherited from class com.bbn.openmap.graphicLoader.MMLGraphicLoader
`getMouseModeServiceList, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseMoved, mousePressed, mouseReleased`

Methods inherited from class com.bbn.openmap.graphicLoader.AbstractGraphicLoader
`createTimer, getName, getProjection, getProperties, getPropertyInfo, getReceiver, getTimer, getUpdateInterval, setName, setProjection, setProperties, setReceiver, setTimer, setUpdateInterval`

Methods inherited from class com.bbn.openmap.OMComponent
`getPropertyPrefix, setProperties, setPropertyPrefix`

Methods inherited from class com.bbn.openmap.MapHandlerChild
`addPropertyChangeListener, addVetoableChangeListener, childrenAdded, childrenRemoved, findAndInit, firePropertyChange, fireVetoableChange, getBeanContext, isIsolated, removePropertyChangeListener, removeVetoableChangeListener, setBeanContext, setIsolated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.tools.drawing.DrawingToolRequestor
`getName`

Field Detail

### dfc

    protected DTEDFrameCache dfc

### los

    protected LOSGenerator los

### dt

    protected OMDrawingTool dt

### AddNodeCmd

    public static final java.lang.String AddNodeCmd

See Also:
  Constant Field Values

### AddPathCmd

    public static final java.lang.String AddPathCmd

See Also:
  Constant Field Values

### logger

    public static java.util.logging.Logger logger

### pointCount

    public static int pointCount

Constructor Detail

### LOSGraphicLoader

    public LOSGraphicLoader()

### LOSGraphicLoader

    public LOSGraphicLoader(OMGraphicHandler receiver)

### LOSGraphicLoader

    public LOSGraphicLoader(DTEDFrameCache dfc,
                            OMGraphicHandler receiver)

Method Detail

### manageGraphics

    public void manageGraphics()

  Description copied from class: `AbstractGraphicLoader`
  The method where the AbstractGraphicLoader is expected to tell the receiver what the OMGraphics are. This gets called by default by the actionPerformed() method, which is called by default by the built-in timer when it is running.

  Specified by:
    `manageGraphics` in class `AbstractGraphicLoader`
  See Also:
    `OMGraphicHandler.setList(OMGraphicList)`

### isLOS

    public boolean isLOS(GLPoint pt1,
                         GLPoint pt2,
                         OMGraphicList list)

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent ae)

  Description copied from class: `AbstractGraphicLoader`
  Method gets called by the timer if it's running. Will also get called if any other component is using this class as an ActionListener. By default, calls manageGraphics();

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Overrides:
    `actionPerformed` in class `AbstractGraphicLoader`

### setDrawingTool

    public void setDrawingTool(OMDrawingTool drawingTool)

### getDrawingTool

    public OMDrawingTool getDrawingTool()

### setDTEDFrameCache

    public void setDTEDFrameCache(DTEDFrameCache cache)

### getDTEDFrameCache

    public DTEDFrameCache getDTEDFrameCache()

### getGUI

    public java.awt.Component getGUI()

  Description copied from class: `AbstractGraphicLoader`
  Provide a GUI for controlling the GraphicLoader. It's OK if it's null.

  Specified by:
    `getGUI` in interface `GraphicLoader`
  Overrides:
    `getGUI` in class `AbstractGraphicLoader`

### drawingComplete

    public void drawingComplete(OMGraphic omg,
                                OMAction action)

  The method where a graphic, and an action to take on the graphic, arrives.

  Specified by:
    `drawingComplete` in interface `DrawingToolRequestor`

### findAndInit

    public void findAndInit(java.lang.Object obj)

  MapHandlerChild methods modified to look for the DTEDFrameCache and OMDrawingTool.

  Specified by:
    `findAndInit` in interface `LightMapHandlerChild`
  Overrides:
    `findAndInit` in class `MapHandlerChild`

### findAndUndo

    public void findAndUndo(java.lang.Object obj)

  MapHandlerChild methods modified to look for the DTEDFrameCache and OMDrawingTool.

  Specified by:
    `findAndUndo` in interface `LightMapHandlerChild`
  Overrides:
    `findAndUndo` in class `MapHandlerChild`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details